Gentoo Archives: gentoo-dev

From: Donnie Berkholz <dberkholz@g.o>
To: gentoo-dev@l.g.o, truedfx@g.o
Subject: [gentoo-dev] Re: [gentoo-commits] gentoo-x86 commit in x11-wm/sawfish: ChangeLog sawfish-1.3.2.ebuild sawfish-1.3_p20050816-r1.ebuild sawfish-1.3_p20060816.ebuild sawfish-1.3.20040120.ebuild sawfish-1.3.20060816.ebuild sawfish-1.3.20050816.ebuild sawfish-1.3.20050816-r1.ebuild sawfish-1.3.20040120-r1.ebuild
Date: Tue, 22 Jan 2008 23:25:47
Message-Id: 20080122232535.GA18685@supernova
1 On 20:58 Tue 22 Jan , Harald van Dijk (truedfx) wrote:
2 > 1.1 x11-wm/sawfish/sawfish-1.3.2.ebuild
3 >
4 > file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/sawfish-1.3.2.ebuild?rev=1.1&view=markup
5 > plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-wm/sawfish/sawfish-1.3.2.ebuild?rev=1.1&content-type=text/plain
6
7 This ebuild has some interesting code that's worth taking a look at,
8 both the snapshot stuff and how econf arguments are set up.
9
10 Thanks,
11 Donnie
12
13 > Index: sawfish-1.3.2.ebuild
14 > ===================================================================
15 > # Copyright 1999-2008 Gentoo Foundation
16 > # Distributed under the terms of the GNU General Public License v2
17 > # $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/sawfish-1.3.2.ebuild,v 1.1 2008/01/22 20:58:35 truedfx Exp $
18 >
19 > # detect cvs snapshots; fex. 1.3_p20040120
20 > [[ $PV == *_p[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9] ]]
21 > (( snapshot = !$? ))
22 >
23 > if (( snapshot )); then
24 > WANT_AUTOCONF=latest
25 > WANT_AUTOMAKE=latest
26 > inherit eutils autotools
27 > else
28 > inherit eutils
29 > fi
30 >
31 > DESCRIPTION="Extensible window manager using a Lisp-based scripting language"
32 > HOMEPAGE="http://sawmill.sourceforge.net/"
33 > if (( snapshot )); then
34 > SRC_URI="mirror://gentoo/${P}.tar.bz2"
35 > else
36 > SRC_URI="mirror://sourceforge/sawmill/${P}.tar.gz"
37 > fi
38 >
39 > LICENSE="GPL-2"
40 > SLOT="0"
41 > # Will remain masked until a report of a segfault on the mailing list
42 > # is resolved
43 > KEYWORDS="" # ~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86
44 > IUSE="gnome esd nls audiofile pango"
45 >
46 > DEPEND=">=dev-util/pkgconfig-0.12.0
47 > >=x11-libs/rep-gtk-0.17
48 > >=dev-libs/librep-0.16
49 > >=x11-libs/gtk+-2.0.8
50 > audiofile? ( >=media-libs/audiofile-0.2.3 )
51 > esd? ( >=media-sound/esound-0.2.23 )
52 > nls? ( sys-devel/gettext )"
53 > RDEPEND="${DEPEND}"
54 >
55 > if (( snapshot )); then
56 > S="${WORKDIR}/${PN}"
57 > fi
58 >
59 > src_unpack() {
60 > unpack ${A}
61 > cd "${S}"
62 > epatch "${FILESDIR}"/libtool.patch
63 > epatch "${FILESDIR}"/${PN}-wm_name.patch
64 >
65 > if (( snapshot )); then
66 > eaclocal || die
67 > eautoconf || die
68 > fi
69 > }
70 >
71 > src_compile() {
72 > # Make sure we include freetype2 headers before freetype1 headers,
73 > # else Xft2 borks, <azarah@g.o> (13 Dec 2002)
74 > export C_INCLUDE_PATH="${C_INCLUDE_PATH}:/usr/include/freetype2"
75 > export CPLUS_INCLUDE_PATH="${CPLUS_INCLUDE_PATH}:/usr/include/freetype2"
76 >
77 > set -- \
78 > --disable-themer \
79 > --with-gdk-pixbuf \
80 > $(use_with audiofile) \
81 > $(use_with esd) \
82 > $(use_with pango)
83 >
84 > if use gnome; then
85 > set -- "$@" \
86 > --with-gnome-prefix=/usr \
87 > --enable-gnome-widgets \
88 > --enable-capplet
89 > else
90 > set -- "$@" \
91 > --disable-gnome-widgets \
92 > --disable-capplet
93 > fi
94 >
95 > if ! use nls; then
96 > # Use a space because configure script reads --enable-linguas="" as
97 > # "install everything"
98 > # Don't use --disable-linguas, because that means --enable-linguas="no",
99 > # which means "install Norwegian translations"
100 > set -- "$@" --enable-linguas=" "
101 > elif [[ "${LINGUAS+set}" == "set" ]]; then
102 > strip-linguas -i po
103 > set -- "$@" --enable-linguas=" ${LINGUAS} "
104 > else
105 > set -- "$@" --enable-linguas=""
106 > fi
107 >
108 > econf "$@" || die "configure failed"
109 >
110 > # The following two lines allow sawfish to compile with gcc 2.95
111 > # (see bug 18294)
112 > sed -i -e 's:REP_CFLAGS=:REP_CFLAGS=-I/usr/include/freetype2 :' Makedefs
113 >
114 > # Parallel build didn't work, but appears to work now. This needs
115 > # extra checking before this version is unmasked.
116 > emake || die "make failed"
117 > }
118 --
119 gentoo-dev@l.g.o mailing list

Replies